-- Adminer 4.2.4 MySQL dump

SET NAMES utf8;
SET time_zone = '+00:00';
SET foreign_key_checks = 0;
SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';

DROP TABLE IF EXISTS `entries`;
CREATE TABLE `entries` (
  `entryId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `entrySlug` varchar(250) NOT NULL,
  `entryHeader` varchar(255) DEFAULT NULL,
  `entryTitle` varchar(250) NOT NULL,
  `entryContent` longtext NOT NULL,
  `entryBy` int(10) unsigned NOT NULL,
  `entryPinned` tinyint(1) unsigned DEFAULT NULL,
  `entryCreated` int(10) unsigned NOT NULL,
  `entryPublished` int(10) unsigned NOT NULL,
  `entryHidden` tinyint(1) unsigned DEFAULT NULL,
  `entryPIN` int(6) unsigned DEFAULT NULL,
  `entryUpdated` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entryId`),
  KEY `slug` (`entrySlug`),
  KEY `pinned` (`entryPinned`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `pages`;
CREATE TABLE `pages` (
  `pageSlug` varchar(100) NOT NULL,
  `pageTitle` varchar(250) NOT NULL,
  `pageContent` text NOT NULL,
  `pageCreated` int(10) unsigned NOT NULL,
  `pageModified` int(10) unsigned NOT NULL,
  `pageDeleted` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`pageSlug`),
  KEY `slug` (`pageSlug`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `plugins`;
CREATE TABLE `plugins` (
  `pluginId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `pluginLib` varchar(250) NOT NULL,
  `pluginStatus` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`pluginId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `settings`;
CREATE TABLE `settings` (
  `variable` varchar(50) CHARACTER SET latin1 NOT NULL,
  `value` varchar(250) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`variable`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `settings` (`variable`, `value`) VALUES
('allowedPicTypes',	'image/gif,image/jpeg,image/jpg,image/pjpeg,image/x-png,image/png'),
('dateformat',	'Y. m. d. H:i'),
('dateformatShort',	'Y. m. d.'),
('defaultProfilePic',	'zuko_default.jpg'),
('description',	'This awesome Insanely blog engine is really awesome.'),
('entriesPerPage',	'15'),
('filtr_appid',	'7'),
('filtr_apptoken',	'451778f1bd531c223d1679d782611b4cf38176d921d1f63c15'),
('keywords',	'awesome,insanely,blog,engine,written,by,sandros'),
('mainTheme',	'murkyhellyeah'),
('seo',	'1'),
('subEntry',	'entry'),
('subPage',	'page'),
('subProfile',	'user'),
('tagline',	'Looking for logic? Please, stop!'),
('title',	'no strings attached'),
('titleFormat',	'{page} | {title}'),
('twitter_site',	'@sandrosdj'),
('url',	'http://blog.sandros.hu');

DROP TABLE IF EXISTS `tagged`;
CREATE TABLE `tagged` (
  `taggedId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `taggedTag` int(10) unsigned NOT NULL,
  `taggedEntry` int(10) unsigned NOT NULL,
  PRIMARY KEY (`taggedId`),
  KEY `tagentry` (`taggedEntry`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `tags`;
CREATE TABLE `tags` (
  `tagId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tagName` varchar(25) NOT NULL,
  PRIMARY KEY (`tagId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `tags` (`tagId`, `tagName`) VALUES
(1,	'Háztartási keksz'),
(2,	'Izé'),
(3,	'Érdekességek'),
(4,	'Mjuziksön'),
(5,	'Fejlesztések'),
(6,	'Ideges vagyok'),
(7,	'Napjaim'),
(8,	'Feljegyzések');

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `userId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `userFiltrId` int(10) DEFAULT NULL,
  `userName` varchar(25) NOT NULL,
  `userPublicName` varchar(50) NOT NULL,
  `userEmail` varchar(50) NOT NULL,
  `userRegistered` int(10) unsigned NOT NULL,
  `userLevel` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `userPic` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `userRealName` varchar(50) NOT NULL,
  `userIntroduction` varchar(320) DEFAULT NULL,
  `userWeb` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`userId`),
  KEY `name` (`userName`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- 2016-06-18 09:07:26
