<!doctype html>
<html>
<head>
	<title><?php get_page_title(); ?></title>

	<meta charset="utf-8" />
	<meta name="viewport"	content="width=device-width, initial-scale=1.0, user-scalable=no" />
	<meta name="generator"	content="Insanely 0.9b" />

	<link href="/includes/css/ui-lightness/jquery-ui.custom.min.css" rel="preload" onload="this.rel='stylesheet'" />
	<link href="/<?=get_theme_lib()?>/font/typicons.min.css" rel="preload" onload="this.rel='stylesheet'" />
	<link href="/<?=get_theme_lib()?>/style.css" rel="stylesheet" />
	<link href="//fonts.googleapis.com/css?family=Archivo+Narrow:400,700%7COpen+Sans:400,300&amp;subset=latin,latin-ext" rel="preload" onload="this.rel='stylesheet'" />

	<script src="/includes/js/jquery.js"></script>
	<script src="/includes/js/jquery-ui.custom.min.js"></script>
	<script><?php
		echo 'var headerimg = '.($headerimg ? 'true':'false').';';
		if (LOGGEDIN)	echo 'var userdata = ['.$user['userFiltrId'].','.$user['userLevel'].',"'.$user['userName'].'","'.$user['userPublicName'].'"];';
		else			echo 'var userdata = false;';
	?></script>
	<script src="/includes/js/functions.js"></script>
	<script src="/<?=get_theme_lib()?>/theme.js"></script>

	<meta name="keywords"		content="<?=keywords()?>" />
	<meta name="description"	content="<?=($description ? $description : $_set['description'])?>" />
	<meta name="copyright"		content="Sandros 2015" />
	<meta name="robot"			content="index, follow" />

	<meta name="og:site_name"	content="<?=$_set['title']?>" />
	<meta name="og:type"		content="website" />
	<meta name="og:title"		content="<?php get_page_title(); ?>" />
	<meta name="og:description"	content="<?=($description ? $description : $_set['description'])?>" />
	<meta name="og:url"			content="<?=get_current_link()?>" />
	<meta name="og:image"		content="<?=($metaimage ? $metaimage : ($headerimg ? $headerimg : '/'.get_theme_lib().'/images/moto360-filter.jpg'))?>" />

	<meta name="twitter:site"			content="<?=$_set['twitter_site']?>" />
	<meta name="twitter:card"			content="summary_large_image" />
	<meta name="twitter:title"			content="<?php get_page_title(); ?>" />
	<meta name="twitter:description"	content="<?=($description ? $description : $_set['description'])?>" />
	<meta name="twitter:url"			content="<?=get_current_link()?>" />
	<meta name="twitter:image:src"		content="<?=($metaimage ? $metaimage : ($headerimg ? $headerimg : '/'.get_theme_lib().'/images/moto360-filter.jpg'))?>" />

	<?php get_page_extra_head(); ?>
</head>
<body<?=(isset($seo[1]) ? ' class="nohome"' : null)?>>
	<header id="floating-header">
		<div id="header-wrapper"<?=($headerimg ? ' style="background-image:url(\''.$headerimg.'\')" class="dim"' : null)?>>
			<div id="header" class="container">
				<div id="logo">
					<h1><a href="<?=get_current_link()?>"><?=$_set['title'].(isset($_title[0]) ? ' &#8226; <span>'.trimlink($_title[0].(isset($_title[1]) ? ' &#8226; '.$_title[1] : null), 100) : null)?></span></a></h1>
					<p><?=$_set['tagline']?></p>
				</div>
				<div id="menu">
					<ul>
						<?php get_navigation(); ?>
					</ul>
				</div>
				<div id="tags">
					<ul>
						<?php get_tags(); ?>
					</ul>
				</div>
			</div>
		</div>
		<a id="arrowDown" href="#"></a>
	</header>

	<div id="page">
		<?php
			get_errors();
			get_infos();
		?>
		<div id="content">
			<?php echo get_site_body(); ?>
		</div>
	</div>

	<footer id="footer">
	<?php if (!LOGGEDIN) : ?>
		<form action="//filtr.sandros.hu/app_login/<?=$_set['filtr_appid']?>&amp;ret" method="get" name="login-form" id="footer-account">
			<input type="submit" name="login" value="<?=$_locale['login']?>" />
		</form>
	<?php else :
		echo "<div id='footer-account'>";
		include 'includes/sidebar/account.php';
		echo "</div>";
	endif; ?>
		<p>&copy; <?=date('Y')?> <?=$_set['title']?>. All rights reserved. Powered by <a href="http://sandros.hu/">Insanely</a>.</p>
	</footer>
	<a id="scroll-up" href="#top"></a>
	<?php get_page_extra_body(); ?>
</body>
</html>