<!doctype html>
<html>
<head>
	<title><?php get_page_title(); ?></title>
	<meta charset="utf-8" />
	<link href="/includes/css/ui-lightness/jquery-ui.custom.min.css" rel="stylesheet" />
	<link href="/<?=get_theme_lib()?>/font/typicons.min.css" rel="stylesheet" />
	<link rel="stylesheet" href="/<?=get_theme_lib()?>/style.css" type="text/css" media="screen" />
	<link href='//fonts.googleapis.com/css?family=Archivo+Narrow:400,700|Open+Sans:400,300&amp;subset=latin,latin-ext' rel='stylesheet' type='text/css' />
	<script src="/includes/js/jquery.js"></script>
	<script src="/includes/js/jquery-ui.custom.min.js"></script>
	<script src="/includes/js/functions.js"></script>
	<script><?php
		echo 'var headerimg = '.($headerimg ? 'true':'false').';';
		if (LOGGEDIN)	echo 'var userdata = ['.$user['userFiltrId'].','.$user['userLevel'].',"'.$user['userName'].'","'.$user['userPublicName'].'"];';
		else			echo 'var userdata = false;';
	?></script>
	<script src="/<?=get_theme_lib()?>/theme.js"></script>
	<meta name="keywords" content="<?=keywords()?>" />
	<meta name="description" content="<?=($description ? $description : $_set['description'])?>" />
	<meta name="copyright" content="Sandros 2015" />
	<meta name="robot" content="index, follow" />
	<meta property="og:title" content="<?=(isset($_title[0]) ? $_title[0] : $_set['title'])?>" />
	<meta property="og:image" content="<?=($metaimage ? $metaimage : ($headerimg ? $headerimg : '/'.get_theme_lib().'/images/moto360-filter.jpg'))?>" />
	<meta property="og:description" content="<?=($description ? $description : $_set['description'])?>" />
	<?php get_page_extra_head(); ?>
</head>
<body>
	<header id="floating-header">
		<div id="header-wrapper"<?=($headerimg ? ' style="background-image:url(\''.$headerimg.'\')" class="dim"' : null)?>>
			<div id="header" class="container">
				<div id="logo">
					<h1><a href="<?=get_current_link()?>"><?=$_set['title'].(isset($_title[0]) ? ' &#8226; '.trimlink($_title[0].(isset($_title[1]) ? ' &#8226; '.$_title[1] : null), 100) : null)?></a></h1>
					<p><?=$_set['tagline']?></p>
				</div>
				<div id="menu">
					<ul>
						<?php get_navigation(); ?>
					</ul>
				</div>
				<div id="tags">
					<ul>
						<?php get_tags(); ?>
					</ul>
				</div>
			</div>
		</div>
		<a id="arrowDown" href="#"></a>
	</header>

	<div id="page">
		<?php
			get_errors();
			get_infos();
		?>
		<section id="content">
			<?php echo get_site_body(); ?>
		</section>
	</div>

	<footer id="footer">
	<?php if (!LOGGEDIN) : ?>
		<form action="//filtr.sandros.hu/app_login/<?=$_set['filtr_appid']?>&amp;ret" method="get" name="login-form" id="footer-account">
			<input type="submit" name="login" value="<?=$_locale['login']?>" />
		</form>
	<?php else :
		echo "<div id='footer-account'>";
		include 'includes/sidebar/account.php';
		echo "</div>";
	endif; ?>
		<p>&copy; <?=date('Y')?> <?=$_set['title']?>. All rights reserved. Powered by <a href="http://sandros.hu/">Insanely</a>.</p>
	</footer>
	<a id="scroll-up" href="#top"></a>
	<?php get_page_extra_body(); ?>
</body>
</html>